> ## Documentation Index
> Fetch the complete documentation index at: https://docs.teamcaredental.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List insurance plans

> **This endpoint is not yet available in production.**

This endpoint retrieves insurance plans for a specific location.

#### Parameters

- location_id (required): The ID of the location for which insurance plans are to be retrieved.
- after: A parameter to specify the cursor for pagination.
- items: A parameter to specify the number of items to be returned.
- The `q[fetch_modified_since]` is used to capture the delta changes, pass the datetime in UTC as shown in example below

```json
{
    "q": {
        "fetch_modified_since": "2025-12-02T01:58:00.164Z"
    }
}
```



## OpenAPI

````yaml https://app.teamcaredental.com/openapi-vendors.json get /locations/{location_id}/insurance_plans
openapi: 3.1.0
info:
  title: TeamCare Vendor API
  version: 1.0.0
  description: Vendor APIs for integrating dental office data. HIPAA-compliant and opt-in.
servers:
  - url: https://app.teamcaredental.com/api/v1/vendors
security:
  - bearerAuth: []
paths:
  /locations/{location_id}/insurance_plans:
    get:
      tags:
        - Insurance Plans
      summary: List insurance plans
      description: >-
        **This endpoint is not yet available in production.**


        This endpoint retrieves insurance plans for a specific location.


        #### Parameters


        - location_id (required): The ID of the location for which insurance
        plans are to be retrieved.

        - after: A parameter to specify the cursor for pagination.

        - items: A parameter to specify the number of items to be returned.

        - The `q[fetch_modified_since]` is used to capture the delta changes,
        pass the datetime in UTC as shown in example below


        ```json

        {
            "q": {
                "fetch_modified_since": "2025-12-02T01:58:00.164Z"
            }
        }

        ```
      operationId: locations_resources_insurance_plans_list
      parameters:
        - name: location_id
          in: path
          required: true
          description: >-
            The ID of the location for which insurance plans are to be
            retrieved.
          schema:
            type: string
            example: '58'
        - name: after
          in: query
          required: false
          description: A parameter to specify the cursor for pagination.
          schema:
            type: integer
            example: 1200
        - name: items
          in: query
          required: false
          description: A parameter to specify the number of items to be returned.
          schema:
            type: integer
            example: 500
        - name: q
          in: query
          required: false
          style: deepObject
          explode: true
          schema:
            type: object
            properties:
              fetch_modified_since:
                type: string
                format: date-time
                example: '2025-11-01T01:58:00.164Z'
          example:
            fetch_modified_since: '2025-11-01T01:58:00.164Z'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        type:
                          type: string
                        attributes:
                          type: object
                          properties:
                            plan_name:
                              type: string
                            group_number:
                              type:
                                - string
                                - 'null'
                            carrier_name:
                              type:
                                - string
                                - 'null'
                              description: >-
                                Name of the plan's insurance carrier. Null when
                                the plan has no carrier.
                            is_hidden:
                              type: boolean
                              description: True when the plan has been removed in the PMS.
                            fee_schedule:
                              type: object
                              description: >-
                                The fee schedule attached to the plan, in the
                                same shape as `GET
                                /locations/{location_id}/fee_schedules`. `data`
                                is null when the plan has no fee schedule.
                              properties:
                                data:
                                  type:
                                    - object
                                    - 'null'
                                  properties:
                                    id:
                                      type: string
                                    type:
                                      type: string
                                    attributes:
                                      type: object
                                      properties:
                                        name:
                                          type: string
                                        is_hidden:
                                          type: boolean
                                          description: >-
                                            True when the fee schedule has been
                                            removed in the PMS.
                  pagy:
                    type: object
                    properties:
                      total:
                        type: integer
                      items:
                        type: integer
              example:
                data:
                  - id: '3021'
                    type: insurance_plan
                    attributes:
                      plan_name: Delta Dental PPO
                      group_number: GRP-48213
                      carrier_name: Delta Dental
                      is_hidden: false
                      fee_schedule:
                        data:
                          id: '17'
                          type: fee_schedule
                          attributes:
                            name: Standard Fees 2026
                            is_hidden: false
                pagy:
                  total: 1
                  items: 1
        '401':
          description: Missing, invalid or expired token.
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: string
              example:
                errors: not authorized
        '403':
          description: The credential may not access this resource.
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: string
              example:
                errors: access Denied
        '404':
          description: Resource not found.
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: string
              example:
                errors: resource not found
        '422':
          description: The request could not be processed.
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: string
              example:
                errors: ...
        '429':
          description: >-
            Concurrency limit exceeded. The request was not executed; retry is
            safe.
          headers:
            Retry-After:
              description: Seconds to wait before retrying.
              schema:
                type: integer
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: string
                  sync_type:
                    type: string
                    enum:
                      - initial
                      - incremental
                  max_concurrent_locations:
                    type: integer
                  active_location_ids:
                    type: array
                    items:
                      type: integer
                  retry_after_seconds:
                    type: integer
              example:
                errors: >-
                  Too many locations syncing concurrently. At most 5 locations
                  may have initial sync requests in flight at a time.
                sync_type: initial
                max_concurrent_locations: 5
                active_location_ids:
                  - 101
                  - 102
                  - 103
                  - 104
                  - 105
                retry_after_seconds: 1
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT returned by POST /auth/token. Valid for six hours.

````